# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# C:\ci\containers\00003enf477\tmp\build\80754af9\rsync-recipes\twisted-20.3.0-python_3.8-on-winbuilder, last modified Thu Apr  9 21:52:29 2020
# ------------------------------------------------

package:
    name: twisted
    version: 20.3.0
source:
    sha256: d72c55b5d56e176563b91d11952d13b01af8725c623e498db5507b6614fc1e10
    url: https://pypi.io/packages/source/T/Twisted/Twisted-20.3.0.tar.bz2
build:
    entry_points:
        - cftp = twisted.conch.scripts.cftp:run
        - ckeygen = twisted.conch.scripts.ckeygen:run
        - conch = twisted.conch.scripts.conch:run
        - mailmail = twisted.mail.scripts.mailmail:run
        - pyhtmlizer = twisted.scripts.htmlizer:run
        - tkconch = twisted.conch.scripts.tkconch:run
        - trial = twisted.scripts.trial:run
        - twist = twisted.application.twist._twist:Twist.main
        - twistd = twisted.scripts.twistd:run
    number: '0'
    script:
        - del src\twisted\internet\iocpreactor\iocpsupport\iocpsupport.c
        - pushd src\twisted\internet\iocpreactor\iocpsupport
        - cythonize -a -i iocpsupport.pyx
        - popd
        - C:\\ci\\twisted_1586466450832\\_h_env\\python.exe -m pip install . --no-deps
            -vv
    string: py38he774522_0
requirements:
    build:
        - vs2017_win-64 19.16.27032.1 hb8d98e7_1
        - vswhere 2.7.1 h21ff451_0
    host:
        - ca-certificates 2020.1.1 0
        - certifi 2020.4.5.1 py38_0
        - cython 0.29.15 py38ha925a31_0
        - incremental 17.5.0 py38_0
        - openssl 1.1.1f he774522_0
        - pip 20.0.2 py38_1
        - python 3.8.2 h5fd99cc_0
        - setuptools 46.1.3 py38_0
        - sqlite 3.31.1 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_1
        - wheel 0.34.2 py38_0
        - wincertstore 0.2 py38_0
    run:
        - attrs >=17.4.0
        - automat >=0.3.0
        - bcrypt
        - constantly >=15.1
        - cryptography >=1.5
        - hyperlink >=17.1.1
        - idna >=0.6,!=2.3
        - incremental >=16.10.1
        - pip
        - pyasn1
        - pyhamcrest >=1.9.0
        - pyopenssl >=16.0.0
        - python >=3.8,<3.9.0a0
        - pywin32
        - service_identity >=18.1.0
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
        - zope.interface >=4.4.2
    run_constrained:
        - h2 >=3.0,<4.0
        - priority >=1.1.0,<2.0
        - pyserial >=3.0
test:
    commands:
        - ckeygen --help
        - pyhtmlizer --help
        - tkconch --help
        - trial --help
        - twist --help
        - twistd --help
    imports:
        - twisted
        - twisted._threads
        - twisted.application
        - twisted.application.runner
        - twisted.application.twist
        - twisted.conch
        - twisted.conch.client
        - twisted.conch.insults
        - twisted.conch.openssh_compat
        - twisted.conch.scripts
        - twisted.conch.ssh
        - twisted.conch.ui
        - twisted.cred
        - twisted.enterprise
        - twisted.internet
        - twisted.internet.iocpreactor
        - twisted.logger
        - twisted.mail
        - twisted.mail.scripts
        - twisted.names
        - twisted.pair
        - twisted.persisted
        - twisted.plugins
        - twisted.positioning
        - twisted.protocols
        - twisted.protocols.haproxy
        - twisted.python
        - twisted.runner
        - twisted.scripts
        - twisted.spread
        - twisted.tap
        - twisted.trial
        - twisted.trial._dist
        - twisted.web
        - twisted.web._auth
        - twisted.words
        - twisted.words.im
        - twisted.words.protocols
        - twisted.words.protocols.jabber
        - twisted.words.xish
about:
    description: 'Twisted is an event-driven networking engine written in Python.

        It runs on Python 2 and an ever growing subset also works with Python 3.

        '
    dev_url: https://github.com/twisted/twisted
    doc_source_url: https://github.com/twisted/twisted/blob/trunk/docs/index.rst
    doc_url: http://twistedmatrix.com/documents/current/
    home: http://twistedmatrix.com/
    license: MIT
    license_family: MIT
    license_file: LICENSE
    summary: An asynchronous networking framework written in Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - nehaljwani
        - ocefpaf
